#

## flush

Forget changes to the edit cell (or to the indicated cell) since the last saved version.

### Usage:

> flush [cellname]

> > where cellname is the name of a cell definition to be flushed.

### Summary:

> The flush command reverts a cell definition to the last version saved to disk, forgetting all changes made in the interim. Without arguments, the current edit cell is flushed. Otherwise, the named cell is flushed.

> The effects of the flush command are irrevocable; the command cannot be undone with an undo command.

### Implementation Notes:

> flush is implemented as a built-in command in magic. However, it conflicts with the Tcl flush command that flushes an output pipe. Special processing determines which use is intended.

Return to command index

Last updated: October 6, 2004 at 2:06am